### 4.7 `feof`—test for end of file

Synopsis

         #include <stdio.h>
         int feof(FILE *fp);

Description
`feof` tests whether or not the end of the file identified by fp has been reached.

Returns
`feof` returns `0` if the end of file has not yet been reached; if at end of file, the result is nonzero.

Portability
`feof` is required by ANSI C.

No supporting OS subroutines are required.